Bug 951596 - Rebase spice-vdagent to latest upstream
Summary: Rebase spice-vdagent to latest upstream
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-vdagent
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Hans de Goede
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: Rebase
Depends On:
Blocks: 904082 904084
TreeView+ depends on / blocked
 
Reported: 2013-04-12 14:22 UTC by Hans de Goede
Modified: 2013-11-21 06:25 UTC (History)
5 users (show)

(edit)
Important: if this rebase instead contains *only bug fixes,* or *only enhancements*, select the correct option from the Doc Type drop-down list.

Rebase package(s) to version: 0.14.0

Highlights, important fixes, or notable enhancements:
* Multi-monitor and arbritary resolution support bugfixes
* Add support for file transfers from client to guest
* Add support for setups with multiple Screens (multiple qxl devices each mapped to their own screen, rhbz#904082), limitations:
 -Max one monitor per Screen / qxl device
 -All monitors / Screens must have the same resolution
 -No client -> guest resolution syncing
* Add spice-vdagent -X cmdline option, which runtime disables console-kit / systemd-logind integration for setups where these are not used (rhbz#904084)
* Add manpages for spice-vdagent and spice-vdagentd
Clone Of:
(edit)
Last Closed: 2013-11-21 06:25:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1560 normal SHIPPED_LIVE spice-vdagent bug fix and enhancement update 2013-11-20 21:40:19 UTC

Description Hans de Goede 2013-04-12 14:22:35 UTC
Currently we are carrying a ton of patches for the new dynamic resolution and monitor support. For 6.5 we likely also want to fix bug 904082 and bug 904084 which means adding yet more patches.

Therefor I would like to rebase spice-vdagent to the latest upstream, which will bring in all the patches we are already carrying + fixes for bug 904082 and bug 904084.

The only thing it adds which we don't already have is client -> guest file transfer support (through drag and drop on the client window), which is something which we likely want to support soon anyways.

Comment 5 Hans de Goede 2013-06-26 06:49:20 UTC
This is fixed in spice-vdagent-0.14.0-1.el6 moving to MODIFIED,

Comment 9 errata-xmlrpc 2013-11-21 06:25:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1560.html


Note You need to log in before you can comment on or make changes to this bug.